<!DOCTYPE html>

<html 	xmlns="http://www.w3.org/1999/xhtml"
		xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="Spring MVC Application">
	<meta name="keywords" content="Spring, MVC">
	<meta name="author" content="Emrah Turkoglu">
	<meta http-equiv="X-UA-Compatible" content="IE=edge"> 
	
	<!--[if lt IE 9]>
  		<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
	<![endif]-->
	
	
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
	
	<title>Spring MVC</title>
</head>

<body>

	<form method="post" th:object="${customer}" >
		First Name : <input type="text" th:field="*{firstName}" />
		
		<br/><br/>
		
		Last Name : <input type="text" th:field="*{lastName}" />
					<span class="text-danger" th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}">Error</span>
		
		<br/><br/>		
		
		Free Passes : <input type="text" th:field="*{freePasses}" />
					<span class="text-danger" th:if="${#fields.hasErrors('freePasses')}" th:errors="*{freePasses}">Error</span>
		
		<br/><br/>
		
		Postal Code : <input type="text" th:field="*{postalCode}" />
					<span class="text-danger" th:if="${#fields.hasErrors('postalCode')}" th:errors="*{postalCode}">Error</span>
		
		<br/><br/>
		
		Course Code : <input type="text" th:field="*{courseCode}" />
					<span class="text-danger" th:if="${#fields.hasErrors('courseCode')}" th:errors="*{courseCode}">Error</span>
		
		<br/><br/>
		
		<input type="submit">		
	</form>

</body>
</html>